## schooltool 0.9

=== Makefile ===
#!/usr/bin/make
#
# Makefile for SchoolTool
#
# $Id: Makefile 2464 2005-01-19 14:56:39Z jinty $

PYTHON=python2.3
PYTHONDIR=/usr/lib/python2.3
TESTFLAGS=-w
PO=$(wildcard src/schooltool/translation/*/LC_MESSAGES/*.po)
MO=$(PO:.po=.mo)
PYTHONPATH=src:Zope3/src


%.mo : %.po
	msgfmt -o $@ $<


all: build

build: build-translations
	$(PYTHON) setup.py build_ext -i
	cd Zope3 && $(PYTHON) setup.py build_ext -i
	$(PYTHON) remove-stale-bytecode.py

extract-translations:
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) \
                        src/schooltool/translation/i18nextract.py \
			-d schooltool -o src/schooltool/translation/ \
			src/schooltool *.py
	$(MAKE) update-translations

update-translations:
	for f in `find src/schooltool/translation/ -name '*.po'`; \
	do								   \
	     msgmerge -U $$f src/schooltool/translation/schooltool.pot;	   \
	     msgfmt -o $${f%.po}.mo $$f;				   \
	done

build-translations: $(MO)

clean:
	find . \( -path './src/schooltool/*.mo' -o -name '*.o' \
	         -o -name '*.py[co]' \) -exec rm -f {} \;
	rm -rf build

realclean: clean
	find . \( -name '*.so' -o -name '*.pyd' \) -exec rm -f {} \;
	rm -f Data.fs* *.csv tags ID *.log

test: build
	LC_ALL="C" $(PYTHON) test.py $(TESTFLAGS) schooltool

testall: build
	LC_ALL="C" $(PYTHON) test.py $(TESTFLAGS)

ftest: build
	@LC_ALL="C" $(PYTHON) schooltool-server.py -c test.conf -d \
	&& ($(PYTHON) test.py -f $(TESTFLAGS) ; \
	kill `cat testserver.pid`)

run: build
	$(PYTHON) schooltool-server.py

runtestserver: build
	LC_ALL="C" $(PYTHON) schooltool-server.py -c test.conf

runclient: build
	$(PYTHON) schooltool-client.py

runwxclient: build
	$(PYTHON) wxschooltool.py

sampledata persons.csv groups.csv resources.csv timetable.csv roster.txt:
	$(PYTHON) generate-sampleschool.py

sampleschool: build persons.csv groups.csv resources.csv timetable.csv roster.txt
	@$(PYTHON) schooltool-server.py -d && \
	($(PYTHON) import-sampleschool.py ; \
	 kill `cat schooltool.pid`)

coverage: build
	rm -rf coverage
	LC_ALL="C" $(PYTHON) test.py $(TESTFLAGS) --coverage schooltool

coverage-report:
	@cd coverage && ls schooltool* | grep -v tests | xargs grep -c '^>>>>>>' | grep -v ':0$$'

coverage-report-list:
	@cd coverage && ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'

edit-coverage-reports:
	@cd coverage && $(EDITOR) `ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'`

vi-coverage-reports:
	@cd coverage && vi '+/^>>>>>>/' `ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'`

.PHONY: all build clean test ftest run coverage sampleschool

## schooltool 0.11.2

=== Makefile ===
#!/usr/bin/make
#
# Makefile for SchoolTool
#
# $Id: Makefile 5065 2005-09-22 18:00:22Z jinty $

PYTHON=python
TESTFLAGS=-w
POT=src/schooltool/locales/schooltool.pot
SBPOT=src/schoolbell/app/locales/schoolbell.pot
PO=$(wildcard src/schooltool/locales/*/LC_MESSAGES/*.po)
SBPO=$(wildcard src/schoolbell/app/locales/*/LC_MESSAGES/*.po)
PYTHONPATH=src:Zope3/src

.PHONY: all
all: build

Zope3:
	svn co svn://svn.zope.org/repos/main/Zope3/branches/Zope-3.1 Zope3

.PHONY: build
build: Zope3
	[ ! -d Zope3 ] || cd Zope3 && $(PYTHON) setup.py build_ext -i
	$(PYTHON) setup.py build
	$(PYTHON) remove-stale-bytecode.py

.PHONY: clean
clean:
	find . \( -path './src/*.mo' -o -name '*.o' \
	         -o -name '*.py[co]' \) -exec rm -f {} \;
	rm -rf build
	rm -rf rosetta-schoolbell-ui
	rm -f rosetta-schoolbell-ui.tar.gz

.PHONY: realclean
realclean: clean
	find . \( -name '*.so' -o -name '*.pyd' \) -exec rm -f {} \;
	rm -f Data.fs* *.csv tags ID *.log
	rm -f scripts/import-sampleschool
	rm -f MANIFEST
	rm -rf dist

.PHONY: test
test: build
	$(PYTHON) test.py $(TESTFLAGS) -s src/schooltool

.PHONY: testall
testall: build
	$(PYTHON) test.py $(TESTFLAGS)

.PHONY: ftest
ftest: build
	$(PYTHON) test.py $(TESTFLAGS) -s src/schooltool -f

.PHONY: run
run: build
	$(PYTHON) schooltool-server.py

.PHONY: coverage
coverage: build
	rm -rf coverage
	$(PYTHON) test.py $(TESTFLAGS) --coverage -s src/schooltool

.PHONY: coverage-report
coverage-report:
	@cd coverage && ls schooltool* | grep -v tests | xargs grep -c '^>>>>>>' | grep -v ':0$$'

.PHONY: coverage-report-list
coverage-report-list:
	@cd coverage && ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'

.PHONY: edit-coverage-reports
edit-coverage-reports:
	@cd coverage && $(EDITOR) `ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'`

.PHONY: vi-coverage-reports
vi-coverage-reports:
	@cd coverage && vi '+/^>>>>>>/' `ls schooltool* | grep -v tests | xargs grep -l '^>>>>>>'`

Zope3/principals.zcml:
	cp Zope3/sample_principals.zcml $@

Zope3/package-includes/schoolbell-configure.zcml:
	echo '<include package="schoolbell.app" />' > $@

Zope3/package-includes/schooltool-configure.zcml:
	echo '<include package="schooltool" />' > $@

.PHONY: dist
dist: realclean build update-translations clean
	rm -rf dist
	find . -name '*.py[dco]' -exec rm -f {} \;
	./setup.py sdist --formats=schooltooltgz

.PHONY: signtar
signtar: dist
	md5sum dist/school*.tar.gz > dist/md5sum
	gpg --clearsign dist/md5sum
	mv dist/md5sum.asc dist/md5sum

.PHONY: extract-translations
extract-translations: build
	# here for backwards compatibility only,
	# setup.py does the work!

.PHONY: update-translations
update-translations:
	set -e; for f in $(PO); do			\
	     msgmerge -U $$f $(POT);		\
	     msgfmt -o $${f%.po}.mo $$f;	\
	done
	set -e; for f in $(SBPO); do			\
	     msgmerge -U $$f $(SBPOT);		\
	     msgfmt -o $${f%.po}.mo $$f;	\
	done

rosetta-schooltool.tar.gz:
	wget $(TRANSLATION) && touch `basename $(TRANSLATION)`

rosetta-schooltool: rosetta-schooltool.tar.gz
	tar -xmzf rosetta-schooltool.tar.gz

src/schooltool/locales/%/LC_MESSAGES/schooltool.po: rosetta-schooltool
	mkdir -p `dirname $@`
	cp rosetta-schooltool/$*.po $@

.PHONY: get-rosetta-translations
get-rosetta-translations: rosetta-schooltool $(foreach locale,$(basename $(notdir $(wildcard rosetta-schooltool/*.po))),src/schooltool/locales/$(locale)/LC_MESSAGES/schooltool.po)

## schooltool 0.11.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for SchoolTool
 #
-# $Id: Makefile 5065 2005-09-22 18:00:22Z jinty $
+# $Id: Makefile 5764 2006-02-18 14:49:26Z jinty $
 
 PYTHON=python
 TESTFLAGS=-w
@@ -16,7 +16,7 @@
 all: build
 
 Zope3:
-	svn co svn://svn.zope.org/repos/main/Zope3/branches/Zope-3.1 Zope3
+	svn co svn://svn.zope.org/repos/main/Zope3/branches/3.2 Zope3
 
 .PHONY: build
 build: Zope3
@@ -90,7 +90,7 @@
 dist: realclean build update-translations clean
 	rm -rf dist
 	find . -name '*.py[dco]' -exec rm -f {} \;
-	./setup.py sdist --formats=schooltooltgz
+	$(PYTHON) setup.py sdist --formats=schooltooltgz
 
 .PHONY: signtar
 signtar: dist

## schooltool 1.6.0~a1

=== debian/changelog ===
schooltool (1:1.6.0~a1-0ubuntu5) natty; urgency=low

  * Pre-depends: python-pastescript to fix schooltool crash on start after
    fresh install.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 07 Mar 2011 19:19:27 +0200

schooltool (1:1.6.0~a1-0ubuntu4) natty; urgency=low

  * Unbreak postinst (LP: #726679) 

 -- Jonathan Carter <jonathan@ubuntu.com>  Wed, 02 Mar 2011 12:32:38 -0500

schooltool (1:1.6.0~a1-0ubuntu3) natty; urgency=low

  * Use correct shell in postinst (LP: #726679)

 -- Jonathan Carter <jonathan@ubuntu.com>  Mon, 28 Feb 2011 13:10:57 -0500

schooltool (1:1.6.0~a1-0ubuntu2) natty; urgency=low

  * Upload to Ubuntu (LP: #707845).
  * Move configuration files to /etc/schooltool/standard to allow for
    multiple instances and match previous schooltool-common locations.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 24 Feb 2011 16:14:19 +0200

schooltool (1:1.6.0~a1-0ubuntu1) natty; urgency=low

  * New upstream alpha release.
  * Add schooltool binary package to replace schooltool-common and 
    schooltool-2009 native packages.
  * Add Recommends: ttf-liberation and remove Suggests: msttcorefonts.
  * debian/copyright: add sections for jquery, jstree, calwidget, and
    bootstrap.py.
  * Use 3.0 (quilt) source format.
  * debian/patches/system-jquery.patch: Add, use libjs-jquery instead of
    included jQuery.
  * debian/patches/include-plugins.patch: Add, include plugins explicitly

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Feb 2011 17:30:40 +0200

schooltool (1:1.5.3-1) maverick; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 24 Nov 2010 00:49:31 +0200

schooltool (1:1.5.2-1) maverick; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 04 Oct 2010 22:19:44 +0300

schooltool (1:1.5.1-1ubuntu1) maverick; urgency=low

  * debian/copyright: convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Sep 2010 18:35:12 +0300

schooltool (1:1.5.1-1) maverick; urgency=low

  * New upstream release.
    - Compatible with zope toolkit uploaded to maverick.
    - Breaks: schooltool.intervention (<< 0.4).
  * Remove gettext from Build-Depends, tarball includes compiled translations.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 15 Sep 2010 01:25:39 +0300

schooltool (1:1.5.0-1) maverick; urgency=low

  * New upstream release (from development series).

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 13 Jul 2010 21:55:34 +0300

schooltool (1:1.4.1-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 15 Jun 2010 15:34:46 +0300

schooltool (1:1.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 21 May 2010 18:47:51 +0300

schooltool (1:1.3.2-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Apr 2010 03:41:26 +0300

schooltool (1:1.3.1-1) karmic; urgency=low

  * New upstream release.
  * Switch to using van.pydeb
  * Move test dependencies to Suggests.
  * Fix debian/tests to work on python2.6
  * Remove dependency on python2.5.
  * Do not include *.po translation files in the package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 09 Apr 2010 15:33:32 +0300

schooltool (1:1.3.0-1ubuntu1) karmic; urgency=low

  * Add missing import in resource package

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 07 Jan 2010 19:53:32 +0200

schooltool (1:1.3.0-1) karmic; urgency=low

  * New upstream release
    - Port to zope versions available in karmic (LP: #498803)
  * Depend on versions higher that broken karmic packages

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 06 Jan 2010 19:02:06 +0200

python-schooltool (1:1.2.1.2-1) karmic; urgency=low

  * New translations release

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 30 Dec 2009 14:36:27 +0200

python-schooltool (1:1.2.1.1-1) karmic; urgency=low

  * Brown paper bag release to include translations

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Dec 2009 17:04:03 +0200

python-schooltool (1:1.2.1-1ubuntu1) karmic; urgency=low

  * Add Breaks: schooltool.gradebook (<< 0.5.1-1ubuntu1) because we
    dropped z3c.optionstorage dependency that gradebook needs.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Dec 2009 12:49:13 +0200

python-schooltool (1:1.2.1-1) karmic; urgency=low

  * New upstream release
    - https://launchpad.net/schooltool/+milestone/1.2.1

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Dec 2009 11:23:43 +0200

python-schooltool (1:1.2.0-1ubuntu1) karmic; urgency=low

  * Apply a fix for error viewing student's contacts (LP: #475586)

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 06 Nov 2009 17:53:09 +0200

python-schooltool (1:1.2.0-1) karmic; urgency=low

  * New upstream release
    - Ability to add contact information for users (LP: #381158)
    - Outgoing email support (LP: #417029)
    - A new overview page of user access rights (LP: #381698)
    - Tightened some permissions
    - Improved i18n, updated translations
    - Ability to create sections that span multiple terms (LP: #427321)
  * Update watch file to track 1.2 series

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 05 Nov 2009 14:52:15 +0200

python-schooltool (1:1.0.3-2ubuntu2) jaunty; urgency=low

  * Require versions compatible with SchoolTool 1.0 (LP: #462254):
    - zope.i18n < 3.6.0
    - zope.location < 3.5.0
    - zope.publisher < 3.6.0
    - zope.security < 3.6.0
  * Restore a replace of PILwoTk with PIL in setup.py and requires.txt

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 30 Oct 2009 17:53:50 +0200

python-schooltool (1:1.0.3-2ubuntu1) jaunty; urgency=low

  * Depend on lower versions that work, zope packages in karmic break
    SchoolTool (see LP: #462254):
    - zope.traversing < 3.6.0, because we need zope.publisher < 3.6.0
      that breaks it.


=== debian/control ===
Source: schooltool
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.3.5-11), python-central (>= 0.6.8), python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://www.schooltool.org/

Package: python-schooltool
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}, libjs-jquery
Provides: ${pydeb:Provides}
Recommends: ttf-liberation
Suggests: ${pydeb:Suggests}
XB-Python-Version: ${python:Versions}
Description: Python libraries used by SchoolTool
 This package contains the core of SchoolTool.

Package: schooltool
Architecture: all
Pre-Depends: python-pastescript
Depends: ${misc:Depends}, adduser, lsb-base,
         python-schooltool (>= 1:1.6.0~),
         python-schooltool.gradebook,
         python-schooltool.lyceum.journal,
         python-schooltool.intervention
Provides: schooltool-server
Conflicts: schooltool-2009
XB-Python-Version: ${python:Versions}
Description: A suite of free administrative software for schools
 This is the standard distribution of SchoolTool, providing a running
 web-based student information system for a single school, including
 calendaring, student enrollment and demographics, gradebooks, attendance,
 intervention tracking and reporting.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test docs

%:
	dh --with pydeb --with python-central $@

package=python-schooltool

override_dh_auto_build:
	rm -f src/schooltool/skin/resources/jquery.min.js
	rm -f src/schooltool/locales/*.po
	rm -f src/schooltool/locales/*.pot
	rm -f src/schooltool/commendation/locales/*.po
	rm -f src/schooltool/commendation/locales/*.pot
	dh_auto_build

override_dh_install:
	dh_install
	for script in debian/$(package)/usr/bin/* ; do \
	    sed -s -i -e 's,/usr/bin/python2\.[0-9],/usr/bin/python,g' $$script ; \
	done

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing, python-lxml, python-zope.app.testing, python-zope.copypastemove, python-zope.exceptions, python-zope.principalregistry, python-zope.testbrowser

## schooltool 1.6.0~b1

=== debian/changelog ===
schooltool (1:1.6.0~b1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Added report package (LP: #429588)
    - Fixed crash when term title is "First" or "Last" (LP: #485639).
    - Updated translations.
  * debian/schooltool.postinst: Extract backup_database function to make
    the script work using /bin/sh (LP: #726679)
  * debian/patches/include-plugins.patch: Remove the patch. Instead, depend
    on z3c.autoinclude 0.3.4 that fixes the problem.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 18 Apr 2011 22:12:41 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 Package: python-schooltool
 Architecture: all
-Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}, libjs-jquery,
+         python-z3c.autoinclude (>= 0.3.4)
 Provides: ${pydeb:Provides}
 Recommends: ttf-liberation
 Suggests: ${pydeb:Suggests}
@@ -29,7 +30,7 @@
 Provides: schooltool-server
 Conflicts: schooltool-2009
 XB-Python-Version: ${python:Versions}
-Description: A suite of free administrative software for schools
+Description: Suite of free administrative software for schools
  This is the standard distribution of SchoolTool, providing a running
  web-based student information system for a single school, including
  calendaring, student enrollment and demographics, gradebooks, attendance,

## schooltool 1.6.0

=== debian/changelog ===
schooltool (1:1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Remove schooltool.commendation example plugin.
    - Make start-schooltool-instance work on Ubuntu instances.
    - Fixed crashes when term title is "First" or "Last" (LP: #485639).
  * Move site.zcml to /etc/schooltool/standard.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 25 Apr 2011 11:34:27 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.3.5-11), python-central (>= 0.6.8), python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
 Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/
 
 Package: python-schooltool

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 	rm -f src/schooltool/skin/resources/jquery.min.js
 	rm -f src/schooltool/locales/*.po
 	rm -f src/schooltool/locales/*.pot
-	rm -f src/schooltool/commendation/locales/*.po
-	rm -f src/schooltool/commendation/locales/*.pot
 	dh_auto_build
 
 override_dh_install:

## schooltool 1.7.0

=== debian/changelog ===
schooltool (1:1.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixed XLS import crashes (LP: #801870, LP: #839031, LP: #382566)
    - Other bugfixes (LP: #488376, LP: #785994)
    - Removed help (LP: #789157) and setupdata (LP: #307237)
    - Reduced dependencies
    - Update translations
  * debian/schooltool.README.Debian: add Virtual Hosting section, remove PDF
    support, because it is now enabled by default.
  * debian/pydist-overrides: remove, we use van.pydeb.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 15 Sep 2011 02:48:53 +0300

schooltool (1:1.6.0-0ubuntu2) oneiric; urgency=low

  * dh_python2 transition, python-central has been depreciated in debian.
  * debian/rules
    - changed "--with python-central" to "--with python2".
  * debian/control
    - increased python-all to (>= 2.6.6-3~).
    - removed B-D on python-central.
    - increased Standards Version to 3.9.2.
    - changed XS-P-V to X-P-V.
    - removed XB-P-V, no longer needed.
  * added pydist-overrides to assist dhp2 in calculating Depends.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Sat, 25 June 2011 15:46:27 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.3.5-11), python-central (>= 0.6.8), python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
+ python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/
 
 Package: python-schooltool
@@ -15,7 +16,6 @@
 Provides: ${pydeb:Provides}
 Recommends: ttf-liberation
 Suggests: ${pydeb:Suggests}
-XB-Python-Version: ${python:Versions}
 Description: Python libraries used by SchoolTool
  This package contains the core of SchoolTool.
 
@@ -29,7 +29,6 @@
          python-schooltool.intervention
 Provides: schooltool-server
 Conflicts: schooltool-2009
-XB-Python-Version: ${python:Versions}
 Description: Suite of free administrative software for schools
  This is the standard distribution of SchoolTool, providing a running
  web-based student information system for a single school, including

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export PYDEB_SUGGESTS_EXTRAS=test docs
+export PYDEB_SUGGESTS_EXTRAS=test docs apidoc
 
 %:
-	dh --with pydeb --with python-central $@
+	dh $@ --with pydeb --with python2
 
 package=python-schooltool

## schooltool 2.0.0

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool
LOCALES=src/schooltool/locales
TRANSLATIONS_ZCML=schooltool/common/translations.zcml

DIST=/home/ftp/pub/schooltool/flourish
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: python
	python/bin/python bootstrap.py

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

.PHONY: run
run: build instance
	bin/start-schooltool-instance instance

.PHONY: tags
tags: build
	bin/tags

.PHONY: clean
clean:
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	rm -rf docs
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean:
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=coverage
	mv parts/test/coverage .

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: coverage
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=ftest-coverage
	mv parts/test/ftest-coverage .

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Docs

docs: build
	bin/docs

# Release

.PHONY: release
release: compile-translations
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	@VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
	    python-all-dev python-virtualenv \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

=== debian/changelog ===
schooltool (1:2.0.0-0ubuntu3) precise; urgency=low

  * Upload to Precise.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Nov 2011 20:49:36 +0200

schooltool (1:2.0.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/add-resource.patch: fix adding resources (LP: #894632)

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 25 Nov 2011 15:10:43 +0200

schooltool (1:2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/system-jquery.patch, debian/rules, debian/control:
    use system libjs-jquery-ui, remove included one.
  * debian/copyright: add section about jqueryui.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Nov 2011 17:52:40 +0200

schooltool (1:1.9.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules:
    - specify buildsystem, latest release includes a Makefile.
    - remove override that was fixing python interpreter in scripts,
      no longer needed.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 18 Nov 2011 23:03:20 +0200

schooltool (1:1.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 04 Nov 2011 20:55:24 +0200

schooltool (1:1.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish beta".
    - Fully translatable.
    - Added small sample data xls.
  * Move breaks (<< 1.9) to python-schooltool package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 07 Oct 2011 00:53:02 +0300

schooltool (1:1.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish alpha".
  * debian/watch: switch to flourish series.
  * debian/patches/system-jquery.patch: refresh, do the same in flourish skin.
  * debian/site.zcml: make flourish skin the default.
  * debian/control:
    - Move schooltool plugins from Depends to Recommends
    - Breaks: schooltool.lyceum.journal, schooltool.gradebook,
      schooltool.intervention non-flourish versions (<< 1.9)
    - Breaks zope.security 3.8.2, get permission errors with it.
  * debian/python-schooltool.pyinstall: install schooltool/__init__.py

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 22 Sep 2011 17:53:45 +0300

=== debian/control ===
Source: schooltool
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://www.schooltool.org/

Package: python-schooltool
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         libjs-jquery, libjs-jquery-ui,
         python-z3c.autoinclude (>= 0.3.4)
Breaks: python-schooltool.gradebook (<< 1.9),
        python-schooltool.lyceum.journal (<< 1.9),
        python-schooltool.intervention (<< 1.9)
Provides: ${pydeb:Provides}
Recommends: ttf-liberation
Suggests: ${pydeb:Suggests}
Description: Python libraries used by SchoolTool
 This package contains the core of SchoolTool.

Package: schooltool
Architecture: all
Pre-Depends: python-pastescript
Depends: ${misc:Depends}, adduser, lsb-base,
         python-schooltool (>= 1:1.9)
Recommends: python-schooltool.gradebook,
            python-schooltool.lyceum.journal,
            python-schooltool.intervention
Provides: schooltool-server
Conflicts: schooltool-2009
Description: Suite of free administrative software for schools
 This is the standard distribution of SchoolTool, providing a running
 web-based student information system for a single school, including
 calendaring, student enrollment and demographics, gradebooks, attendance,
 intervention tracking and reporting.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test docs apidoc

%:
	dh $@ -Spython_distutils --with pydeb --with python2

override_dh_auto_build:
	rm -f src/schooltool/skin/resources/jquery.min.js
	rm -rf src/schooltool/skin/flourish/resources/jquery/development-bundle/
	rm -rf src/schooltool/skin/flourish/resources/jquery/js/
	rm -f src/schooltool/locales/*.po
	rm -f src/schooltool/locales/*.pot
	dh_auto_build

## schooltool 2.0.1

=== Makefile ===
--- 
+++ 
@@ -81,14 +81,12 @@
 
 .PHONY: coverage
 coverage: build
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
 	rm -rf coverage
-	bin/test --at-level 2 -u --coverage=coverage
-	mv parts/test/coverage .
+	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: coverage
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
+coverage-reports-html coverage/reports: build
+	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
 	bin/coverage coverage coverage/reports
@@ -96,14 +94,12 @@
 
 .PHONY: ftest-coverage
 ftest-coverage: build
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
 	rm -rf ftest-coverage
-	bin/test --at-level 2 -f --coverage=ftest-coverage
-	mv parts/test/ftest-coverage .
+	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
+ftest-coverage-reports-html ftest-coverage/reports: build
+	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
 	bin/coverage ftest-coverage ftest-coverage/reports

=== debian/changelog ===
schooltool (1:2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/add-resource.patch: remove, fixed upstream.
  * debian/control: Replaces schooltool-2009 in addition to Conflicts to
    aid upgrades from Lucid.
  * debian/schooltool.docs: install README.txt
  * debian/schooltool.README.Debian: remove, README.txt contains the same.
  * debian/apache-school1.conf, debian/schooltool.examples: add example apache
    site.
  * debian/rules: install CHANGES.txt
  * debian/schooltool.conf: liberation font location changed

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Dec 2011 19:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
             python-schooltool.intervention
 Provides: schooltool-server
 Conflicts: schooltool-2009
+Replaces: schooltool-2009
 Description: Suite of free administrative software for schools
  This is the standard distribution of SchoolTool, providing a running
  web-based student information system for a single school, including

## schooltool 2.0.2

=== debian/changelog ===
schooltool (1:2.0.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/schooltool.conf:
    - enable blob storage.
    - add more configuration option examples from template.
  * debian/tests: use zope.testrunner.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 14 Feb 2012 19:33:31 +0200

## schooltool 2.0.3

=== debian/changelog ===
schooltool (1:2.0.3-0ubuntu2) precise; urgency=low

  * debian/schooltool.conf: add path to Ubuntu font.
  * debian/control: recommend ttf-ubuntu-font-family.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 21 Mar 2012 15:59:00 +0200

schooltool (1:2.0.3-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 19 Mar 2012 21:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
         python-schooltool.lyceum.journal (<< 1.9),
         python-schooltool.intervention (<< 1.9)
 Provides: ${pydeb:Provides}
-Recommends: ttf-liberation
+Recommends: ttf-liberation, ttf-ubuntu-font-family
 Suggests: ${pydeb:Suggests}
 Description: Python libraries used by SchoolTool
  This package contains the core of SchoolTool.

## schooltool 2.1.0

=== Makefile ===
--- 
+++ 
@@ -164,6 +164,6 @@
 .PHONY: ubuntu-environment
 ubuntu-environment:
 	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv \
+	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
 	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

=== debian/changelog ===
schooltool (1:2.1.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control: change section to education.
  * debian/patches/python-imaging.patch: use PIL on Ubuntu.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 19 Apr 2012 21:41:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: schooltool
-Section: python
+Section: education
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/

## schooltool 2.1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/locales
 TRANSLATIONS_ZCML=schooltool/common/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/2.1
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool (1:2.1.1-0ubuntu3) quantal; urgency=low

  * debian/copyright: add MIT license, change all GPL references to GPL-2.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 20 Sep 2012 19:21:29 +0300

schooltool (1:2.1.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Aug 2012 19:38:30 +0300

## schooltool 2.3.0

=== debian/changelog ===
schooltool (1:2.3.0-0ubuntu2) raring; urgency=low

  * New upstream release (LP: #1064716).
  * debian/control:
    - Breaks gradebook and journal (<< 2.2), incompatible gradebook css/js
      changes
    - Recommends python-schooltool.cando
  * debian/copyright: add section about included jquery.scrollto.min.js

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 30 Oct 2012 18:42:36 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
          libjs-jquery, libjs-jquery-ui,
          python-z3c.autoinclude (>= 0.3.4)
-Breaks: python-schooltool.gradebook (<< 1.9),
-        python-schooltool.lyceum.journal (<< 1.9),
+Breaks: python-schooltool.gradebook (<< 2.2),
+        python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.intervention (<< 1.9)
 Provides: ${pydeb:Provides}
 Recommends: ttf-liberation, ttf-ubuntu-font-family
@@ -32,7 +32,8 @@
          python-schooltool (>= 1:1.9)
 Recommends: python-schooltool.gradebook,
             python-schooltool.lyceum.journal,
-            python-schooltool.intervention
+            python-schooltool.intervention,
+            python-schooltool.cando
 Provides: schooltool-server
 Conflicts: schooltool-2009
 Replaces: schooltool-2009

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 	rm -f src/schooltool/locales/*.po
 	rm -f src/schooltool/locales/*.pot
 	dh_auto_build
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testrunner, python-lxml, python-zope.app.testing, python-zope.copypastemove, python-zope.exceptions, python-zope.principalregistry, python-zope.testbrowser

## schooltool 2.3.1

=== debian/changelog ===
schooltool (1:2.3.1-0ubuntu2) raring; urgency=low

  * debian/patches/include-plugins-overrides.patch: add to fix loading of
    one custom plugin.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 27 Nov 2012 13:59:19 +0200

schooltool (1:2.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 27 Nov 2012 01:39:10 +0200

## schooltool 2.4~a2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/locales
 TRANSLATIONS_ZCML=schooltool/common/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/2.1
+DIST=/home/ftp/pub/schooltool/flourish
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -42,7 +42,7 @@
 
 .PHONY: tags
 tags: build
-	bin/tags
+	bin/ctags
 
 .PHONY: clean
 clean:

=== debian/changelog ===
schooltool (1:2.4~a2-0ubuntu2) raring; urgency=low

  * debian/patches/python-imaging.patch: remove, Ubuntu has also switched to
    Pillow.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 22 Feb 2013 19:40:22 +0200

schooltool (1:2.4~a2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 19 Feb 2013 00:00:22 +0200

schooltool (1:2.4~a1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches/include-plugins-overrides.patch: remove, fixed upstream.
  * debian/copyright: add section for included qunit.js
  * debian/paste.ini: add 'threads' option with its default value (4).
  * debian/site.zcml: remove a comment about old skin.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 08 Feb 2013 14:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/

## schooltool 2.4~b1

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,20 @@
 	virtualenv --no-site-packages -p $(PYTHON) python
 
 .PHONY: bootstrap
-bootstrap bin/buildout: python
+bootstrap bin/buildout: | buildout.cfg python
 	python/bin/python bootstrap.py
 
+buildout.cfg:
+	cp deploy.cfg buildout.cfg
+
 .PHONY: buildout
-buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
+buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
 	bin/buildout $(BUILDOUT_FLAGS)
+
+.PHONY: develop
+develop bin/coverage bin/docs: buildout.cfg develop.cfg
+	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
+	$(MAKE) buildout
 
 .PHONY: update
 update:
@@ -58,6 +66,7 @@
 
 .PHONY: realclean
 realclean:
+	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
 	rm -rf instance
@@ -85,7 +94,7 @@
 	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: build
+coverage-reports-html coverage/reports: bin/coverage build
 	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
@@ -98,7 +107,7 @@
 	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: build
+ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
 	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
@@ -130,16 +139,19 @@
 
 # Docs
 
-docs: build
+docs: bin/docs build
 	bin/docs
 
 # Release
 
 .PHONY: release
 release: compile-translations
+	-cp buildout.cfg buildout.cfg~dev~
+	cp deploy.cfg buildout.cfg
 	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
 	$(PYTHON) setup.py sdist
 	rm -f version.txt
+	-mv buildout.cfg~dev~ buildout.cfg
 
 .PHONY: move-release
 move-release: upload
@@ -147,7 +159,8 @@
 
 .PHONY: upload
 upload:
-	@VERSION=`cat version.txt.in` ;\
+	set -e ;\
+	VERSION=`cat version.txt.in` ;\
 	DIST=$(DIST) ;\
 	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
 	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
@@ -163,7 +176,8 @@
 
 .PHONY: ubuntu-environment
 ubuntu-environment:
-	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev
+	sudo apt-get install build-essential gettext enscript \
+	    python-dev python-virtualenv \
+	    ttf-ubuntu-font-family ttf-liberation \
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev

=== debian/changelog ===
schooltool (1:2.4~b1-0ubuntu1) raring; urgency=low

  * New upstream release
    - Bugfixes and translations

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 17 Apr 2013 19:22:23 +0300

## schooltool 2.4.0

=== debian/changelog ===
schooltool (1:2.4.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix PDF reports crashing with z3c.rml in raring (LP: #1169723)
    - Fix previous release crashing on startup
  * debian/control:
    - Breaks cando (<< 0.7) because it implicitly depends on rwproperty
      that we no longer depend on.
  * debian/paste.ini: remove the 'threads' option to ease upgrades from 2.3
    or older releases.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 19 Apr 2013 21:18:54 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb (>= 1.3.0-4)
+               python-van.pydeb,
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/
@@ -15,10 +15,9 @@
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
          libjs-jquery, libjs-jquery-ui,
-         python-z3c.autoinclude (>= 0.3.4)
 Breaks: python-schooltool.gradebook (<< 2.2),
         python-schooltool.lyceum.journal (<< 2.2),
-        python-schooltool.intervention (<< 1.9)
+        python-schooltool.cando (<< 0.7),
 Provides: ${pydeb:Provides}
 Recommends: ttf-liberation, ttf-ubuntu-font-family
 Suggests: ${pydeb:Suggests}
@@ -29,14 +28,12 @@
 Architecture: all
 Pre-Depends: python-pastescript
 Depends: ${misc:Depends}, adduser, lsb-base,
-         python-schooltool (>= 1:1.9)
+         python-schooltool,
 Recommends: python-schooltool.gradebook,
             python-schooltool.lyceum.journal,
             python-schooltool.intervention,
             python-schooltool.cando
 Provides: schooltool-server
-Conflicts: schooltool-2009
-Replaces: schooltool-2009
 Description: Suite of free administrative software for schools
  This is the standard distribution of SchoolTool, providing a running
  web-based student information system for a single school, including

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/flourish/schooltool-(\d.*)\.tar\.gz

## schooltool 2.4.1

=== debian/changelog ===
schooltool (1:2.4.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
    - Fixed report generation to not do network requests (LP: #1185418).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 30 May 2013 19:41:52 +0300

## schooltool 2.4.2

=== debian/changelog ===
schooltool (1:2.4.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 01 Jul 2013 17:35:03 +0300
